package brokerdriver

import (
	"github.com/streadway/amqp"
	"github.com/thijsheijden/alice"
)

// AliceProducer models a RabbitMQ producer in Alice
type AliceProducer struct {
	broker   *Driver
	producer alice.Producer
}

// PublishMessage will publish a message to the specified queue id
func (ap *AliceProducer) PublishMessage(body *[]byte, queueID *string, headers *amqp.Table) {
	ap.producer.PublishMessage(*body, queueID, headers)
}
